%define name	etherx
%define version	0.8
%define release	1
%define serial  1

Summary: etherx - Server-side XML middleware application for Jabber
Name:	 %{name}
Version: %{version}
Release: %{release}
Serial:	 %{serial}
Copyright: GPL
# I have no clue what group this belongs in. [cananian]
Group:	Applications
URL:	 http://etherx.jabber.org/
Source:	 http://download.jabber.org/dists/%{version}/etherx-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}

Packager: C. Scott Ananian <cananian@alumni.princeton.edu>

%changelog
* Sat Dec 18 1999 C. Scott Ananian <cananian@alumni.princeton.edu>
- Created redhat packages.

%description
Jabber is an open source, cross-platform, completely
extensible, end-all to Instant Messaging as we know it.
etherx is a server-side XML middleware application for the
Jabber server.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr

make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install

%post	-p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT/; fi

%files 
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%dir /usr/var/log
%dir /usr/var/jabber
/usr/include/jabber/*
/usr/bin/*
/usr/etc/*
/usr/lib/*
/usr/man/man5/*
/usr/man/man8/*
